import { PageBody } from '@kit/ui/page';
import { Trans } from '@kit/ui/trans';

import { createI18nServerInstance } from '~/lib/i18n/i18n.server';
import { withI18n } from '~/lib/i18n/with-i18n';

import { HomeLayoutPageHeader } from '../../_components/home-page-header';

export const generateMetadata = async () => {
  const { t } = await createI18nServerInstance();

  return {
    title: t('order-health-analysis:title'),
  };
};

async function OrderHealthAnalysisPage() {
  return (
    <>
      <HomeLayoutPageHeader
        title={<Trans i18nKey={'order-health-analysis:title'} />}
        description={<Trans i18nKey={'order-health-analysis:description'} />}
      />
      <PageBody>
        <h4 className="mt-8">
          <Trans i18nKey="booking:noCategories" />
        </h4>
      </PageBody>
    </>
  );
}

export default withI18n(OrderHealthAnalysisPage);
